Bug 1123552 - Bridged interface generates incorrect configuration files for both the bridge and member interfaces
Summary: Bridged interface generates incorrect configuration files for both the bridge...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 10:11 UTC by Alex Harpin
Modified: 2015-06-29 21:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:46:06 UTC


Attachments (Terms of Use)
Copy of proposed patch / pull request on GitHub (3.12 KB, patch)
2014-07-26 10:31 UTC, Alex Harpin
no flags Details | Diff

Description Alex Harpin 2014-07-26 10:11:09 UTC
Description of problem:

When a bridged interface is configured to start up on boot via the
kernel command line options, the resulting ifcfg files produced by
the 45ifcfg dracut module are incorrect.  Atlthough the interface is
brought up correctly on start up, and functions as expected, when the
configuration file is imported into the booted system it prevents the
bridged interface from being successfully restarted.

This patch rewrites the section of 45ifcfg responsible for the creation
of the required ifcfg files.

Version-Release number of selected component (if applicable):

Fedora 20 x86_64; Dracut 037-11.git20140402

How reproducible:


Steps to Reproduce:
1. Setup bonded interface in /boot/grub2/grub.cfg (parameters below)
2. Reboot
3.

Actual results:

The bridged interface is brought up correctly during boot up, but the configuration files produced by the 45ifcfg dracut module (ifcfg-br0 and ifcfg-enp5s0 in this particular case) are incorrect.  Once these files are imported into the running system, a subsequent restart pf the bridge interface fails.

Expected results:

The bridge interface works during the initial boot up sequence and subsequently when the system is up and running.

Additional info:

Relevant grub kernel parameters: bridge=br0:enp5s0 ip=br0:dhcp

Comment 2 Alex Harpin 2014-07-26 10:31:27 UTC
Created attachment 921146 [details]
Copy of proposed patch / pull request on GitHub

Comment 3 Alex Harpin 2014-08-02 18:10:22 UTC
Proposed patch reverted in the above pull request as it's been updated upstream yesterday to take this into account, along with some tidying up.

Comment 4 Alex Harpin 2014-08-02 19:24:39 UTC
Proposed patch added to the pull request on Github, to go along with the latest upstream commit.

https://github.com/cyclops8456/dracut/commit/7a40baf9d6e147839be6b15cb203e37bf40c9260

Comment 5 Fedora End Of Life 2015-05-29 12:28:35 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:46:06 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.